Preview Resignation Letter
Returns a preview of the resignation letter for the EOR contract before the worker submits their signature.
Token scopes: worker:read
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
contract_id
The unique identifier of the employee contract.
Response headers
Content-Type
MIME type of the file
Content-Length
Size of the file in bytes
Content-Disposition
Attachment disposition with filename
Response
File download successful
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error